#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCA,0x56,0xD2,0xD4,0x5A,0xC0,0x0F,0x04,0x21,0x70,0x64,0xDC,
		0xE6,0x54,0xDF,0x76,0xED,0x76,0xC4,0xF1,0x2E,0x5B,0x80,0x5D,
		0x80,0x94,0x45,0x5B,0xAC,0x02,0xDC,0x3E,0x46,0x59,0xFA,0x01,
		0xBD,0xA1,0x5D,0x59,0xAB,0x12,0xB4,0xDA,0x45,0x34,0x7F,0x48,
		0x71,0x8D,0xD4,0xB9,0x9D,0xC5,0xE4,0xC7,0x14,0x9E,0xA2,0x11,
		0xD9,0x2C,0xB7,0xDB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
